Loading…
Tilbage
×

Info

Der findes en nyere version af resourcen her

RASP Java 2.0.0


Java based reference implementation of OIORASP profile version 1.2

Main purposes of this release have been:

  • Full support for Foces2 certificates. Foces1 is still supported in this version, BUT after June 2013 DanID will no longer issue Foces1 certificates. Renewal of Foces1 certificates will also not be possible after this date.


The version number is changed to 2.0.0 to clearly indicate, that this version of RASP will not be able to communicate with any RASP 1.x software where one of the parties communicating has updated to Foces2.

Everyone must upgrade to RASP 2.0.0 no later than 15.06.2013 - better sooner than later!

Filer og referencer

Titel Type
dk.gov.oiosi.library-2.0.0.4383.jar application/octet-stream
dk.gov.oiosi.library-2.0.0.4383-src.zip application/octet-stream
OIOSI RASP Library for Java Release Notes.pdf pdf
Source, documentation and samples Ekstern reference
Profilbillede

HowToUpgrade to 2.0.0

Peter Sone Koldkjær

A few, but important, steps were missing in the "release-notes-2.0.0_HowToUpgrade.txt" file released in the above dk.gov.oiosi.library-2.0.0.4383-src.zip

Newest file/steps can be viewed online in SVN: https://svn.softwareborsen.dk/openebusiness/dk.gov.oiosi/library/java/trunk/dk.gov.oiosi.library/doc/release-notes-2.0.0_HowToUpgrade.txt

Mvh.
Peter Sone Koldkjær, mySupply ApS
Konsulent for Digitaliseringsstyrelsen

Profilbillede

Import Oces2 root certificate

Peter Sone Koldkjær

When upgrading to RASP2, it's important to remember to install/add the new Oces2 root certifikate to your setup - otherwise RASP2 cannot validate Foces2 certifikates (your own or senders).

The Oces2 root certificate is called: TRUST2408 OCES Primary CA and can be downloaded from https://www.certifikat.dk/export/sites/dk.certifikat.oc/da/download/rodcertifikat.html

Mvh.
Peter Sone Koldkjær, mySupply ApS
Konsulent for Digitaliseringsstyrelsen

Profilbillede

Eksempelkode anvender RASP 1.3.0

Margit A Bork

Jeg har et problem med at få noget certificate revocation til at virke, og ville se hvordan det virkede i eksempelkoden. Men den anvender RASP 1.3.0 - hvornår får i det på plads så den anvender RASP 2.0.0

Venlig hilsen

Margit A Bork

Det er i hvert fald en RASP 1.3.0 der er distribueret i clientens lib folder...

Det er i hvert fald en RASP 1.3.0 der er distribueret i clientens lib folder...

Hej Margit

Fejlen er rettet i SVN den 22/1, men der er ikke foretaget en nye release på den baggrund. Se evt. direkte i SVN trunk: https://svn.softwareborsen.dk/openebusiness/dk.gov.oiosi/library/java/trunk/dk.gov.oiosi.examples.client
Du er også velkommen til at kigge i unittests til selve RASP-koden: https://svn.softwareborsen.dk/openebusiness/dk.gov.oiosi/library/java/trunk/dk.gov.oiosi.library/test

Hvis du finder konkrete fejl, så kontakt venligst support@nemhandel.dk


Mvh.
Peter Sone Koldkjær, mySupply ApS
Konsulent for Digitaliseringsstyrelsen